#ifndef _PARALLELS_H_
#define _PARALLELS_H_

#include <element.h>

#include <addon.h>
#include <table.h>
#include <part.h>
#include <track.h>


class Parallels : public Addon
{

  friend class Track;

 private:
  void add(const char *, long, int, int, int, int, int);
  Track * _track;
  Part * _part;

 public:
  /** The constructor is given a parameter specifying the target of the operation
   * implement this typically for a Song, Track, Part and NULL, where NULL indicates that
   * the globally defined table * selectioN is used as a target
   */
  Parallels(Element*);
  ~Parallels();

  virtual void song(Song*);
  
  void undo();
  void redo();

  

};

#endif
